import request from '@/utils/request'

// 查询基础配置列表
export function listConfig(query) {
  return request({
    url: '/system/baseConfig/list',
    method: 'get',
    params: query
  })
}

// 查询基础配置详细
export function getConfig(id) {
  return request({
    url: '/system/baseConfig/' + id,
    method: 'get'
  })
}

// 新增基础配置
export function addConfig(data) {
  return request({
    url: '/system/baseConfig',
    method: 'post',
    data: data
  })
}

// 修改基础配置
export function updateConfig(data) {
  return request({
    url: '/system/baseConfig',
    method: 'put',
    data: data
  })
}

// 删除基础配置
export function delConfig(id) {
  return request({
    url: '/system/baseConfig/' + id,
    method: 'delete'
  })
}

export function listBaseConfig(query) {
  return request({
    url: '/system/baseConfig/wechat/list',
    method: 'get',
    params: query
  })
}
