import request from '@/utils/request'

// 查询业务管理-住院管理列表
export function listHospital(query) {
  return request({
    url: '/business/hospital/list',
    method: 'get',
    params: query
  })
}

// 查询业务管理-住院管理详细
export function getHospital(id) {
  return request({
    url: '/business/hospital/' + id,
    method: 'get'
  })
}

// 新增业务管理-住院管理
export function addHospital(data) {
  return request({
    url: '/business/hospital',
    method: 'post',
    data: data
  })
}

// 修改业务管理-住院管理
export function updateHospital(data) {
  return request({
    url: '/business/hospital/discharge',
    method: 'put',
    data: data
  })
}

export function updateHospitalRecord(data) {
  return request({
    url: '/business/hospital',
    method: 'put',
    data: data
  })
}

// 删除业务管理-住院管理
export function delHospital(id) {
  return request({
    url: '/business/hospital/' + id,
    method: 'delete'
  })
}

// 查询可选病房列表
export function listWardUse(query) {
  return request({
    url: '/business/hospital/wardList',
    method: 'get',
    params: query
  })
}

// 办理入院变更病房
export function inHospitalWard(data) {
  return request({
    url: '/business/hospital/addBInHospitalDetail',
    method: 'post',
    data: data
  })
}

// 病房下拉框
export function listWardSelect(query) {
  return request({
    url: '/system/ward/listAll',
    method: 'get',
    params: query
  })
}

// 查询业务管理住院管理不分页
export function listInHospitalNoPage(query) {
  return request({
    url: '/business/hospital/listPage',
    method: 'get',
    params: query
  })
}

// 住院详情押金信息
export function listCashPage(query) {
  return request({
    url: '/business/trade/his/selectFinListPage',
    method: 'get',
    params: query
  })
}
