import request from '@/utils/request'

// 获取宠主统计
export function getPetDataStatistics() {
  return request({
    url: '/business/statistics/ownerStatistics',
    method: 'get'
  })
}

// 获取医院统计
export function getHospitalStatistics() {
  return request({
    url: '/business/statistics/hospitalStatistics',
    method: 'get'
  })
}

// 获取业务统计
export function getBusinessStatistics() {
  return request({
    url: '/business/statistics/businessStatistics',
    method: 'get'
  })
}

export function listHospital(query) {
  return request({
    url: '/business/statistics/hospital/list',
    method: 'get',
    params: query
  })
}

// 获取服务项目预约记录
export function listOrder(query) {
  return request({
    url: '/business/statistics/checkList',
    method: 'get',
    params: query
  })
}

// 获取病历列表
export function listRecord(query) {
  return request({
    url: '/business/statistics/medicalRecord/list',
    method: 'get',
    params: query
  })
}

// 获取会员卡余额信息
export function listBalance(query) {
  return request({
    url: '/business/statistics/membership/balance',
    method: 'get',
    params: query
  })
}

// 获取宠主注册信息
export function listOwner(query) {
  return request({
    url: '/business/statistics/ownerStatistics/list',
    method: 'get',
    params: query
  })
}

// 获取服务器时间
export function getServerTime() {
  return request({
    url: '/business/statistics/getServerTime',
    method: 'get'
  })
}
