import request from '@/utils/request'

// 启用诊室不分页列表
export function consultRoomListAll(query) {
  return request({
    url: '/system/room/listAll',
    method: 'get',
    params: query
  })
}

// 查询治疗列表
export function selectTreatListP(query) {
  return request({
    url: '/business/treat/treatList',
    method: 'get',
    params: query
  })
}

// 查询治疗列表不分页
export function selectTreatAll(query) {
  return request({
    url: '/business/treat/treatListAll',
    method: 'get',
    params: query
  })
}

// 修改治疗管理
export function updateTreatList(data) {
  return request({
    url: '/business/treat',
    method: 'put',
    data: data
  })
}

// 通过id查询详情
export function getTreatDetail(id) {
  return request({
    url: '/business/treat/' + id,
    method: 'get'
  })
}

// 查询诊室使用记录列表
export function useRecordList(query) {
  return request({
    url: '/business/room/record/list',
    method: 'get',
    params: query
  })
}

// 新增诊室使用记录
export function addUseRecord(data) {
  return request({
    url: '/business/room/record',
    method: 'post',
    data: data
  })
}

// 查询诊室使用人下拉框
export function userNameList(query) {
  return request({
    url: '/system/manage/listAll',
    method: 'get',
    params: query
  })
}
